import es
import random
import os
import gamethread
#############################
#                           #
#     START OF CONFIG       #
#                           #
#############################


resTeamS = 1				# Team specific sounds, on = 1 , off = 0  //  Team spezifische Sounds, an = 1 , aus = 0

resPfadT = 'res/gts-fun.de/CT'		# Path for the sounds of terrors  //  Pfad fuer die Sounds der Terrors

resPfadCT = 'res/gts-fun.de/T'		# Path for the sounds of counters //  Pfad fuer die Sounds der Counters

resBreaker = 0				# Disrupt playing sounds, on = 1 , off = 0 (works not perfectly) //  Unterbricht laufende Sounds, an = 1 , aus = 0 (funktioniert nicht  perfekt) 

resVolume = 1.0				# volume control from 0.1 - 1.0   //  Lautstaerkenregelung von 0.1 -1.0

resGunGame = 0				# If GunGame runs on Server, yes = 1 , no = 0  //  Wenn auf dem Server Gungame laeuft, ja = 1 , nein = 0


#############################
#                           #
#      END OF CONFIG        #
#                           #
#############################

#########################################################################################
### Do not change anything under this line unless you know exectly what you are doing ###
###         Unter dieser Linie nichts veraendern ausser du weist was da da tust       ###
#########################################################################################

info = es.AddonInfo()
info.name = "Round End Sounds"
info.version = "1.2"
info.author = "FreeZ"
info.url = "http://gts-fun.de"
info.basename = "roundendsounds"
info.description = "Round End Sounds for CSS"
info.copyright = "2010 - 2120"

resSoundlist = {}
resSoundlistT = {}
resSoundlistCT = {}

def load():
	es.set(info.basename , info.version)
	es.makepublic(info.basename)
	global resGGWin
	global resSoundlistT
	global resSoundlistCT
	resGGWin = 0
	if resTeamS == 0:
		resSoundlistT = os.listdir('%s/cstrike/sound/%s/' % (os.getcwd(),resPfadT))
		resSoundlistCT = os.listdir('%s/cstrike/sound/%s/' % (os.getcwd(),resPfadCT))
	elif resTeamS == 1:
		resSoundlistT = os.listdir('%s/cstrike/sound/%s/' % (os.getcwd(),resPfadT))
		resSoundlistCT = os.listdir('%s/cstrike/sound/%s/' % (os.getcwd(),resPfadCT))

def es_map_start(ev):
	global resGGWin
	download()
	if resGunGame == 1:
		resGGWin = 0


def gg_win(ev):
	global resGGWin
	if resGunGame == 1:
		resGGWin = 1


def round_end(ev):
	if resBreaker == 0:
		gamethread.delayed(.2, soundplayer, ())
	elif resBreaker == 1:
		gamethread.delayed(.1, es.cexec_all, ('play 0'))
		gamethread.delayed(.2, soundplayer, (ev["winner"]))


def soundplayer(winner):
	if resGGWin == 0:
		if resTeamS == 0:
			resZahl = random.randint(1, 10)
			if resZahl <= 5:
				for player in es.getUseridList():
        				es.playsound(player, resPfadT + "/"  + random.choice(resSoundlistT), resVolume)
			elif resZahl >=6:
				for player in es.getUseridList():
        				es.playsound(player, resPfadCT + "/"  + random.choice(resSoundlistCT), resVolume)
		elif resTeamS == 1:
			if winner == "2":
				for player in es.getUseridList():
        				es.playsound(player, resPfadT + "/"  + random.choice(resSoundlistT), resVolume)
			elif winner == "3":
				for player in es.getUseridList():
        				es.playsound(player, resPfadCT + "/"  + random.choice(resSoundlistCT), resVolume)


def download():
	for i in range(0, len(resSoundlistT)):
		if resSoundlistT[i].endswith('wav') or resSoundlistT[i].endswith('mp3'):
			es.stringtable('downloadables', 'sound/%s/%s' %(resPfadT, resSoundlistT[i]))  
	for i in range(0, len(resSoundlistCT)):
		if resSoundlistCT[i].endswith('wav') or resSoundlistCT[i].endswith('mp3'):
			es.stringtable('downloadables', 'sound/%s/%s' %(resPfadCT, resSoundlistCT[i]))
